#include "tester.h"
#include "ui_tester.h"

Tester::Tester(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::Tester)
{
    ui->setupUi(this);

    loginWidget = new LoginWidget();

    connect(loginWidget, &LoginWidget::onClosed, this, &Tester::receiveNameAndPassword);
    connect(loginWidget, &LoginWidget::onClosed, TestSelectionWidget, &TestSelection::_sh);
    this->show();
    loginWidget->show();
}

Tester::~Tester()
{
    delete ui;
}

void Tester::receiveNameAndPassword()
{
    this->currentName = loginWidget->getName();
    this->currentPassword = loginWidget->getPassword();

    this->ui->textBrowser->setText(this->currentName + this->currentPassword);
}
