#ifndef QUESTION_H
#define QUESTION_H

#include <QSet>
#include <QString>
#include <unordered_set>

class QuestionEntity {
public:
    QuestionEntity(int p_id, QString& p_question, QSet<QString> p_answers);
    int getId();

    bool checkAnswers(const QSet<QString>& p_answers) const;

    void setQuestion(QString& p_question);
    void setAnswers(QSet<QString>& p_answers);

private:
    int id;
    QString question;
    QSet<QString> answers;
    bool multivalue;  //Does quesion has multiple answers
};

#endif // QUESTION_H
