#ifndef TESTENTITY_H
#define TESTENTITY_H

#include <QVector>
#include <QSet>
#include "question.h"

class TestEntity
{
public:
    TestEntity();
    QVector<QuestionEntity> getQuestions();
    void setQuestions(QVector<QuestionEntity>& p_questions);
    void checkQuestions(const QVector<QSet<QString> > &p_answers);

    int getId();
    QString getName();

    unsigned int getPercentage();

private:
    QVector<QuestionEntity> questions;
    unsigned int percentage;
    int id;
    QString name;
};

#endif // TESTENTITY_H
